# x-ui-vue3

> 仅支持 Vue3

| <img src="https://www.google.cn/chrome/static/images/chrome-logo.svg" alt="Chrome" /><br/>Chrome |
| --- |
| 78+ |

### 使用 npm 安装。


```bash
npm i -S x-ui-vue3
```

### 引入

```js
import { createApp } from 'vue'
import XUI from 'x-ui-vue3'
import 'x-ui-vue3/lib/theme/light.css' // 浅色主题
// import 'x-ui-vue3/lib/theme/dark.css' // 深色主题

const app = createApp({})
app.config.productionTip = false

app.use(XUI)
```

## 常见问题

<!--  -->
1. `这个组件库为什么会存在？`
    - `好玩`
    - `面试总要拿点作品出来才行`
    - `提示个人能力`
    - <br/>
2. `这个组件库有什么优点吗？`
    - `与 naive-ui、antdv 等主流UI库相比没什么优势`
    - `唯一的优点就是 win10 风格`
    - <br/>
3. `那有什么缺点吗？`
    - `缺点可多了呢！`
    - `功能不丰富`
    - `文档不完善`
    - `可能有bug`
    - `还没有 tree-shaking`
    - `只测试了 Chrome 最新版本，其他浏览器性兼容未知`
    - `date-picker 暂不支持选择时间`
    - `virtual-list 不支持 X 滚动`
    - `…………`
    - <br/>
4. `我是编程新手，可以用吗？`
    - `不推荐`
    - `建议学习其他主流UI库，此 UI 仅供学习娱乐`
    - <br/>


<br/>
<br/>
<br/>
<br/>
<br/>